summaryrefslogtreecommitdiff
path: root/tests/misc/tac-continue
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2008-09-07 10:31:27 +0200
committerJim Meyering <meyering@redhat.com>2008-09-10 13:20:10 +0200
commit68561594ca022703e255b3ef5686f176317e5fd4 (patch)
tree2bb17f465ad51bb9bf212b871a95b877e558d2e0 /tests/misc/tac-continue
parent22e5102f1961c5552d20c3791cbc99b6b001e83f (diff)
downloadcoreutils-68561594ca022703e255b3ef5686f176317e5fd4.tar.xz
tests: use "Exit $fail", not (exit $fail); exit $fail
* tests/test-lib.sh (Exit): New function by Ralf Wildenhues in automake http://git.sv.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=20594c08f63 * tests/**: Convert all uses: This restrictive change converted the vast majority: git grep -l '^(exit \$fail); exit \$fail$' \ | xargs perl -pi -e 's/'^\(exit \$fail\); exit \$fail$/Exit \$fail/' And this did the rest, plus a few undesirable ones, so I manually backed out the changes to ChangeLog-* and build-aux/check.mk: git grep -l -E '\(exit [^)]+\); exit ' \ | xargs perl -pi -e 's/\(exit (.+?)\); exit \1/Exit $1/'
Diffstat (limited to 'tests/misc/tac-continue')
-rwxr-xr-xtests/misc/tac-continue8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/misc/tac-continue b/tests/misc/tac-continue
index ce41a525c..ea2a3eaeb 100755
--- a/tests/misc/tac-continue
+++ b/tests/misc/tac-continue
@@ -33,7 +33,7 @@ fi
if ! test -d "$FULL_PARTITION_TMPDIR"; then
echo "$0: $FULL_PARTITION_TMPDIR:" \
"\$FULL_PARTITION_TMPDIR does not specify a directory" 1>&2
- (exit 1); exit 1
+ Exit 1
fi
fp_tmp="$FULL_PARTITION_TMPDIR/tac-cont-$$"
@@ -42,14 +42,14 @@ cleanup_() { rm -f "$fp_tmp"; }
# Make sure we can create an empty file there (i.e. no shortage of inodes).
if ! touch $fp_tmp; then
echo "$0: $fp_tmp: cannot create empty file" 1>&2
- (exit 1); exit 1
+ Exit 1
fi
# Make sure that we fail when trying to create a file large enough
# to consume a non-inode block.
if seq 1000 > $fp_tmp 2>/dev/null; then
echo "$0: $FULL_PARTITION_TMPDIR: not a full partition" 1>&2
- (exit 1); exit 1
+ Exit 1
fi
seq 5 > in
@@ -72,4 +72,4 @@ EOF
compare out exp || fail=1
-(exit $fail); exit $fail
+Exit $fail